summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSitsofe Wheeler <sitsofe@yahoo.com>2020-09-03 23:02:31 +0100
committerSitsofe Wheeler <sitsofe@yahoo.com>2020-09-12 11:54:19 +0100
commita9b9b1627d52137246eb3c76476f7645780a9beb (patch)
treed36b057cc19844496de81c5fe8a3e04a8e3c0c47
parent63c25ff810bbd3bc960b5954e7894d3a5e9a2ff2 (diff)
downloadfio-a9b9b1627d52137246eb3c76476f7645780a9beb.tar.gz
fio-a9b9b1627d52137246eb3c76476f7645780a9beb.tar.bz2
travis: cleanup build script
- Standardise on spaces for indentation - Exit on error or using variables before they are defined - Fix up shellcheck complaints by exporting some variables - Drop printing of python 2 information as we don't use it - Use type -p rather than which Signed-off-by: Sitsofe Wheeler <sitsofe@yahoo.com>
-rwxr-xr-xci/travis-build.sh7
-rwxr-xr-xci/travis-install.sh5
2 files changed, 6 insertions, 6 deletions
diff --git a/ci/travis-build.sh b/ci/travis-build.sh
index 18e8f30d..923d882d 100755
--- a/ci/travis-build.sh
+++ b/ci/travis-build.sh
@@ -1,8 +1,9 @@
#!/bin/bash
+set -eu
CI_TARGET_ARCH="${BUILD_ARCH:-$TRAVIS_CPU_ARCH}"
EXTRA_CFLAGS="-Werror"
-PYTHONUNBUFFERED=TRUE
+export PYTHONUNBUFFERED=TRUE
CONFIGURE_FLAGS=()
case "$TRAVIS_OS_NAME" in
@@ -25,7 +26,7 @@ CONFIGURE_FLAGS+=(--extra-cflags="${EXTRA_CFLAGS}")
make &&
make test &&
if [[ "$CI_TARGET_ARCH" == "arm64" ]]; then
- sudo python3 t/run-fio-tests.py --skip 6 1007 1008 --debug -p 1010:"--skip 15 16 17 18 19 20"
+ sudo python3 t/run-fio-tests.py --skip 6 1007 1008 --debug -p 1010:"--skip 15 16 17 18 19 20"
else
- sudo python3 t/run-fio-tests.py --skip 6 1007 1008 --debug
+ sudo python3 t/run-fio-tests.py --skip 6 1007 1008 --debug
fi
diff --git a/ci/travis-install.sh b/ci/travis-install.sh
index b6895e82..103695dc 100755
--- a/ci/travis-install.sh
+++ b/ci/travis-install.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -e
+set -eu
CI_TARGET_ARCH="${BUILD_ARCH:-$TRAVIS_CPU_ARCH}"
case "$TRAVIS_OS_NAME" in
@@ -51,6 +51,5 @@ case "$TRAVIS_OS_NAME" in
;;
esac
-echo "Python version: $(/usr/bin/python -V 2>&1)"
-echo "Python3 path: $(which python3 2>&1)"
+echo "Python3 path: $(type -p python3 2>&1)"
echo "Python3 version: $(python3 -V 2>&1)"